Package org.springframework.security.core.userdetails.memory

# Class UserAttributeEditor

java.lang.Object
java.beans.PropertyEditorSupport
org.springframework.security.core.userdetails.memory.UserAttributeEditor

All Implemented Interfaces:
  `PropertyEditor`

public class UserAttributeEditor extends PropertyEditorSupport
Property editor that creates a `UserAttribute` from a comma separated list of values.

## Constructor Summary

Constructors
Constructor
Description
`UserAttributeEditor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setAsText(String s)`

### Methods inherited from class java.beans.PropertyEditorSupport

`addPropertyChangeListener, firePropertyChange, getAsText, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserAttributeEditor

public UserAttributeEditor()

## Method Details

### setAsText

public void setAsText(String s) throws IllegalArgumentException

Specified by:
  `setAsText` in interface `PropertyEditor`
Overrides:
  `setAsText` in class `PropertyEditorSupport`
Throws:
  `IllegalArgumentException`